%define prefix /opt/monitor/op5

Summary: monitor-notify is a skin-driven notification script, written in perl.
Name: monitor-notify
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 AB Proprietary Software License
Group: op5/monitor
URL: http://www.op5.se
Prefix: %prefix
Source: %name-%version.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%name-%version
Requires: monitor, smstools
Requires: perl(Device::Modem)
Requires: nagios-mib
%if 0%{?suse_version}
Requires: perl(SNMP::Session)
Requires: perl(YAML::Syck)
%else
Requires: perl-SNMP_Session
Requires: perl-YAML-Syck
%endif


%description
notify.pl is a skin-driven notification script written in perl.
It is easily extendable and highly customizable.  It handles SMS
messages and emails dynamically and integrates nicely with issue
tracking and inventory systems.

%prep
%setup -q

%install
rm -rf %buildroot

chmod 664 -R `find . -type f`
chmod 755 notify.pl
chmod 755 notify-nilex.php
chmod 775 `find . -type d`

mkdir -p %buildroot%prefix/notify
cp -a * %buildroot%prefix/notify/

pushd %buildroot%prefix/notify
ln -s notify.pl notify
popd

mkdir -p %buildroot%prefix/notify/extra_host_vars

mkdir -p %buildroot/etc/op5-backup/modules/external
cp -f backup/op5-notify %buildroot/etc/op5-backup/modules/external

%post
%if 0%{?suse_version}
usermod -A uucp,smstools monitor
%endif
%if 0%{?rhel} >= 7
usermod -a -G smstools monitor
%endif
%if 0%{?rhel} == 6
usermod -a -G uucp,smstools monitor
%endif
grep "^monitor.*/etc/init.d/smsd" /etc/sudoers > /dev/null 2>&1 || \
       echo 'monitor ALL=NOPASSWD: /etc/init.d/smsd' >> /etc/sudoers
grep notify-nilex /opt/monitor/etc/misccommands.cfg > /dev/null 2>&1 || \
cat /opt/monitor/op5/notify/misccommands-nilex.cfg >> /opt/monitor/etc/misccommands.cfg

%files
%defattr(-,root,root,755)
%prefix/notify
/etc/op5-backup/modules/external/op5-notify
%attr(755, root, root) %prefix/notify/notify_by_snmp.pl
%config(noreplace) %prefix/notify/notify-nilex.inc.php
%config(noreplace) %prefix/notify/skins.mail/*
%config(noreplace) %prefix/notify/skins.sms/*
%config(noreplace) %prefix/notify/skins.htmlpost/*
#%doc %buildroot%prefix/notify/README
#%doc %buildroot%prefix/notify/LICENSE


%clean
rm -rf %buildroot


%changelog
* Fri Jul 21 2006 Johannes Dagemark <jd@op5.se> 3.0.0-op5.1
- Updated to release 3.0.0-op5.1
* Wed Sep 15 2004 Andreas Ericsson <ae@op5.se>
- Creation date. Changelog maintained in CVS.
